### Virtual Method

# Phosh CallsDBusCallsCall get_protocol

#### Declaration [src]

    const gchar*
    get_protocol (
      PhoshCallsDBusCallsCall* object
    )

#### Description [src]

Gets the value of the “Protocol” D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `phosh_calls_dbus_calls_call_dup_protocol()` if on another thread.

#### Return value

Type: `const gchar*`

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object`.

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.